[General]
; ▼GDI++アイコン右クリックで表示される 「使用中の設定」に表示される設定名称
; (書式) Name="任意の名称" 
Name=He: Example

; ▼GDI++アイコン右クリックで表示される 「使用中の設定」に表示されるアイコン
; (書式) Icon=..\gditray.exe,"-200 〜 -209までの任意の数値" 
Icon=..\gditray.exe,-203

; ▼子プロセスにも自動適用
; [0 = Disable] / 1 = Enable
; 0 = 無効 (デフォルト)
; 1 = 有効
HookChildProcesses=1

[Rasterize]
; ▼ヒンティング方式
; 0 = NoHinting / [1 = Normal] / 2 = AutoHinting / 3 = Light (+AutoHinting)
; 0 = ヒンティング処理無効
; 1 = フォントに含まれるヒンティング情報のみで処理
; 2 = フォントに含まれるヒンティング情報を無視してFreeType独自の処理でヒンティング情報を生成して使用する
; 3 = フォントに含まれるヒンティング情報使用しつつFreeType独自のヒンティング処理で補正(フォントがヒンティング情報を持たない場合は"=2"と同等)
; ヒンティング情報が無いフォントを"=1"で使用した場合、描画品質が著しく低下する。
; ヒンティング情報が粗悪なフォントを使用した場合も描画品質が著しく低下する。
; 使用するフォントにヒンティング情報が含まれているか否かで"=2"と"=3"の品質が違ったり同等だったりするため一長一短。
HintingMode=0

; ▼アンチエイリアス方式
; 0 = Disable / [1 = Grayscale] / 2 = SubPixel(RGB) / 3 = SubPixel(BGR)
; 0 = アンチエイリアス無効
; 1 = アンチエイリアス有効 (グレイスケール処理 = Windows標準の256階調アンチエイリアスと同等)
; 2 = サブピクセルを用いたアンチエイリアス処理有効 (一般的なLCD配列がR・G・Bの液晶モニタ用)
; 3 = サブピクセルを用いたアンチエイリアス処理有効 (例外的なLCD配列がB・G・Rの液晶モニタ用)
; 2or3を設定する場合は必然的にクリアタイプ表示のような色滲みが若干ながら発生するので、
; α値補完との併用で補正すると良いかもしれない。
AntiAliasMode=2

; ▼標準のウェイト
; -32 〜 +32
; 0 = デフォルト
; "Individual"で個別設定されているフォントには適用されない。
NormalWeight=0

; ▼太字のウェイト
; -16 〜 +16
; 0 = デフォルト
; "Individual"で個別設定されているフォントには適用されない。
BoldWeight=0

; ▼斜体の傾き具合
; -16 〜 +16
; 0 = デフォルト
; "Individual"で個別設定されているフォントには適用されない。
ItalicSlant=0

; ▼濃さの調整
; -32 〜 +32
; 0 = デフォルト
; ガンマ補正を有効にした場合は概ね2倍強の設定値でガンマ補正無効時と同等の濃さになる。
Saturation=7

[Misc]
; ▼gdi++に処理させる最大のフォントサイズ(ピクセル単位≒px)
; 0 〜 2147483647
; 0 = 無制限(未確認)
MaxHeight=72

; ▼ガンマ補正を使う
; [0 = Disable] / 1 = Enable
; 0 = ガンマ補正無効 (デフォルト)
; 1 = ガンマ補正有効
; ガンマ値2.0相当の補正が有効になる。(Mac標準 = 1.8 、 Windows標準 = 2.2)
; 1ピクセル単位で処理＋浮動小数点型に変換しているので有効にすると描画が重くなる。
; Saturationと合わせて調整すれば黒地に白文字が読みにくい場合に改善できるかもしれない。
; ガンマ補正を有効にした場合、文字の濃さが薄くなる。
; 適切に調整された液晶モニタでは補正する必要性はないかもしれない。
; α値補完機能を使用する場合は"=0"を指定する。
GammaCorrection=0

; ▼α値を補間する
; 0 〜 16
; 0 = デフォルト
; 背景色に応じてαチャンネルの値を補間します。暗い背景色ほど強く補間がかかります。
; ガンマ補正と違って白地に黒文字でも薄くならず、描画は比較的軽いですが、
; "AntiAliasMode=2(または3)"の設定でα値を大きくし過ぎるとカラフルになって逆に見辛くなります。
; R,G,Bの順で補間値を指定します。
; 　(設定例)
; 　Interpolation=6,5,8 (R=6, G=5, B=8 で補間)
; 　Interpolation=4 (R=4, G=4, B=4 で補間)
; 　Interpolation=0 (全て 0 で無効)
; ガンマ補正より軽いが、両方無効より多少は重くなる。
; "GammaCorrection=1"の場合は設定に関わらず無効になる。(ガンマ補正との併用は出来ない)
; Interpolation=8,7,6
Interpolation=0,0,0

; ▼縦書きを使用する
; [0 = Disable] / 1 = Enable
; 0 = 縦書き無効
; 1 = 縦書き有効
; この設定を有効にするとGSUBとcmapを別個にロードするので、フォントの読込が遅くなる上にメモリ消費量も増える。
; また、フォント依存・環境依存が激しく「表示できればラッキー」程度の物。
; 基本的に無効を推奨。(ONにした設定を他人に勧めない事)
; 現時点では縦書き用の@付きフォントが使用できるだけで、縦書き表示には対応していません。
VerticalText=0

; ▼モジュールリストの優先順位
; [0 = Deny] / 1 = Allow / 2 = Allow>Deny
; 0 = 拒否モジュール設定のみ有効 (デフォルト)
; 1 = 許可モジュール設定のみ有効
; 2 = 許可モージュール設定を拒否モジュール設定より優先しながら両方有効
ModuleListOrder=0

[FreeType]
; ▼FT_Library_SetLcdFilterに渡すパラメータ
; [0 = None] / 1 = Default / 2 = Light / 16 = Legacy
; 0 = フィルタ処理無効 (デフォルト)
; 1 = フィルタ処理有効
; 2 = フィルタ処理有効 (軽くフィルタをかける = 黒背景の描画で見やすくなる場合がある)
; 16 = フィルタ処理有効 (比較テスト用なので通常は用いない)
; 好みに応じて"=1"または"=2"を推奨
LcdFilter=2

; ▼FreeTypeのバージョンチェックをスキップ
; [0 = Check] / 1 = Skip
; 0 = チェック有効 (デフォルト)
; 1 = チェック無効
; 通常は"=1"でよい。
SkipVersionCheck=1

[Cache]
; ▼キャッシュ設定
; MaxFamilies =
; 　指定した数だけフォントファミリをキャッシュする。
; 　太字や斜体も同じフォントとして数える。
; MaxStyles =
; 　1書体につき、指定した数だけフォントスタイル別データをキャッシュする。
; 　ここでいうスタイルとは、ノーマル・太字・斜体・サイズのこと。
; MaxBytes =
; 　ラスタライズ済みのビットマップデータをキャッシュする容量の閾値。
; 　"MaxFamilies"、"MaxStyles"の設定よりも優先される。
; 　当然AntiAliasModeを"=2"または"=3"にすると3倍メモリを消費する。
; PCのスペックに応じて設定する。
MaxFamilies=8
MaxStyles=12
MaxBytes=8388608

[Individual]
; ▼フォント別設定
; Format: FontName = Hinting,AntiAliasMode,NormalWeight,BoldWeight,ItalicSlant
; 使用する環境に応じて適時修正、追加、コメントアウトする
; ＭＳ Ｐゴシック=,,-7,-7
ＭＳ Ｐゴシック=,,-9,-9
; ＭＳ ゴシック=,,-12,-9
ＭＳ ゴシック=,,-9,-9
; MS UI Gothic=,,-18,-9
MS UI Gothic=,,-9,-9
; メイリオ=,,3,-7
メイリオ=,,16,-6
; メイリオ=,,16,-5
Meiryo=,,16,-6
Meiryo UI=,,6,-6
Tahoma=0,,-10,-10
Verdana=,,-16,-13
Arial=,,-7,-10
; M+2P+IPAG=2
; ShinGoAA=,,-10
; SGMAA=,,-16,-10
; 丸ゴAA=,,-19
; 角ゴAA=,,-24
; MeiryoKe_PGothic=,,10
; MeiryoKe_UIGothic=,,10
; SGCGAA=,,-16,-10
; SGAM=,,-16,-10
; Henry-W4P=,,-10,-7
; MillyAA=,,-10,-7

[FontLink]
; ▼フォントリンクのような物
; Format: FontName=Name1,Name2,Name3, ... (Max:16)
; レジストリの設定とは違い、ファイル名は書かない。
; 当然ながら Individual も有効。
; ただし、AntiAliasMode はリンク元のフォントと同じになる。
; 注: レジストリの設定は見ていないので、gdi++.ini に書き写すこと。
Tahoma = MS UI Gothic, SimSun, PMingLiU
Lucida Sans Unicode = MS UI Gothic
MS UI Gothic = SimSun, PMingLiU
Microsoft Sans Serif = MS UI Gothic

[Exclude]
; ▼除外フォント
; GDI++で描画させたくないフォントを指定
Marlett

[AllowModule]
; ▼許可モジュールリスト
; 指定したものだけGDI++で描画する
; (例) example.exe、example.dll等

[DenyModule]
; ▼拒否モジュールリスト
; GDI++で描画させたくないものを指定する
; (例) example.exe、example.dll等
; Photoshop.exe
; Illustrator.exe
; WINWORD.EXE
; EXCEL.EXE
; dwm.exe

[UnloadDLL]
; ▼ロードさせたくないプロセス
; デバッグ用なので通常はDenyModuleを使用します。
; imejpmgr.exe
; msdev.exe
; devenv.exe

[GdiTray]
; ▼起動時、自動で有効にします。
; 0 = off / 1 = on
AutoEnable=1

; ▼メッセージ表示にバルーンを使用します。
; 0 = off / 1 = on
NotifyBalloon=1

; ▼INI切り替え機能を使います。
; 0 = off / 1 = on
MultiINISelector=1

; ▼アイコン付きメニューを使います。
; 0 = off / 1 = on
CoolMenu=1

; ▼左ダブルクリックの動作を指定します。
; 0 = 再適用  1 = on/off切り替え(gdippManager互換)
ToggleDoubleClick=0

; ▼タスクトレイのアイコンを変更します。
; 0 〜 9
; 任意の値
IconIndex=3

; ▼再描画のウェイトを指定します。
; 1 〜 2000 [ms]
; 50 = デフォルト
RedrawDelay=25
